S = 0 # total de l'argent de poche reçu
a = 5 # argent de poche initialement reçu
n = 1 # nombre de mois

while S <= 1000:
    a = a * 2 # on double l'argent de poche
    S = S + a # on ajoute l'argent obtenu à la somme totale précédente
    n = n + 1 # on ajoute 1 mois

print(n,'mois,',S,'euros en tout.')
